Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01964 Crash/Freeze Critical (emulation) Always Jul 2, 2008, 16:05 Mar 11, 2009, 19:43
Tester Firewave View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS Windows XP/Vista 64-bit
Status [?] Resolved Driver itech8.cpp
Version 0.125u8 Fixed in Version 0.126 Build Debug
Fixed in Git Commit Github Pull Request #
Summary 01964: gtg2j: Access Violation
Description The game crashes pretty early at src/emu/video.c:222. It appears the "device" parameter is invalid.

Here is the call stack from windbg:
vChild-SP          RetAddr           Call Site
00000000`0012f6f0 00000001`406dc39b vmameux64d!get_safe_token+0x3c [c:\mame\src\emu\video.c @ 222]
00000000`0012f720 00000001`407aabee vmameux64d!video_screen_get_vpos+0x1b [c:\mame\src\emu\video.c @ 899]
00000000`0012f7d0 00000001`407aa9a1 vmameux64d!register_w+0x3e [c:\mame\src\emu\video\tms34061.c @ 175]
00000000`0012f850 00000001`401e15df vmameux64d!tms34061_w+0x51 [c:\mame\src\emu\video\tms34061.c @ 409]
00000000`0012f8a0 00000001`4070ac3a vmameux64d!itech8_tms34061_w+0x5f [c:\mame\src\mame\video\itech8.c @ 548]
00000000`0012f8e0 00000001`4070acdd vmameux64d!write_byte_generic+0xea [c:\mame\src\emu\memory.c @ 3725]
00000000`0012f930 00000001`41030685 vmameux64d!program_write_byte_8be+0x1d [c:\mame\src\emu\memory.c @ 3741]
00000000`0012f960 00000001`410266fb vmameux64d!sta_ex+0xa5 [c:\mame\src\emu\cpu\m680909ops.c @ 2065]
00000000`0012f990 00000001`4073c51d vmameux64d!m6809_execute+0x128b [c:\mame\src\emu\cpu\m6809\m6809.c @ 717]
00000000`0012f9d0 00000001`40746f15 vmameux64d!cpunum_execute+0x8d [c:\mame\src\emu\cpuintrf.c @ 1467]
00000000`0012fa20 00000001`407113e2 vmameux64d!cpuexec_timeslice+0x375 [c:\mame\src\emu\cpuexec.c @ 283]
00000000`0012fcf0 00000001`4149e94a vmameux64d!mame_execute+0x2e2 [c:\mame\src\emu\mame.c @ 397]
00000000`0012fd80 00000001`41446437 vmameux64d!cli_execute+0x20a [c:\mame\src\emu\clifront.c @ 171]
00000000`0012fe40 00000001`414a4024 vmameux64d!utf8_main+0x147 [c:\mame\src\osd\windows\winmain.c @ 258]
00000000`0012fec0 00000001`413f6816 vmameux64d!wmain+0xb4 [c:\mame\src\osd\windows\main.c @ 72]
00000000`0012ff00 00000001`413f671e vmameux64d!__tmainCRTStartup+0xe6 [f:\dd\vctools\crt_bld\self_64_amd64\crt\src\crt0.c @ 266]
00000000`0012ff50 00000000`77d5964c vmameux64d!wmainCRTStartup+0xe [f:\dd\vctools\crt_bld\self_64_amd64\crt\src\crt0.c @ 182]
00000000`0012ff80 00000000`00000000 kernel32!BaseProcessStart+0x2c
Steps To Reproduce
Additional Information
Github Commit
Flags 64-bit specific
Regression Version
Affected Sets / Systems gtg2j
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.01467
Tafoid
Administrator
Jul 3, 2008, 13:37
Awaiting someone with 64-bit build to test and confirm report...
User avatar
No.01492
couriersud
Developer
Jul 5, 2008, 17:23
edited on: Jul 5, 2008, 17:23
gtg2t works. Implemented using same hardware. Looks like an issue with the tms34061.

Linux 64bit backtrace
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 47638240161696 (LWP 8640)]
video_screen_get_vpos (screen=0xff8755a0) at src/emu/video.c:222
222             assert(device->token != NULL);
(gdb) bt
#0  video_screen_get_vpos (screen=0xff8755a0) at src/emu/video.c:222
#1  0x00000000009e628f in tms34061_w (col=48, row=255, func=0, data=192 '?')
    at src/emu/video/tms34061.c:175
#2  0x000000000094961a in program_write_byte_8be (address=50, data=192 '?')
    at src/emu/memory.c:502
#3  0x0000000000da98f5 in m6809_execute (cycles=296)
    at src/emu/cpu/m6809/m6809.c:717
#4  0x000000000090c3a8 in cpunum_execute (cpunum=0, cycles=296)
    at src/emu/cpuintrf.c:1467
#5  0x0000000000906675 in cpuexec_timeslice (machine=0x3871730)
    at src/emu/cpuexec.c:283
#6  0x0000000000939159 in mame_execute (options=0x383f230)
    at src/emu/mame.c:394
#7  0x0000000000904ea4 in cli_execute (argc=<value optimized out>, 
    argv=<value optimized out>, osd_options=<value optimized out>)
    at src/emu/clifront.c:171
#8  0x00000000008db79b in main (argc=11, argv=0x7fff0df32488)
    at src/osd/sdl/sdlmain.c:319
User avatar
No.03946
incog
Tester
Mar 10, 2009, 23:14
This is happening to me in 0.130 but only sets: gtg and gtgt
User avatar
No.03947
Tafoid
Administrator
Mar 11, 2009, 19:43
I can't get a duplication on gtg or gtgt. In any case, those sets are not the same as gtg2 and clones. (which also work fine for me in 0.130)